# JavaPlatformPlugin

abstract class JavaPlatformPlugin : Plugin<T>

The Java platform plugin allows building platform components for Java, which are usually published as BOM files (for Maven) or Gradle platforms (Gradle metadata).

#### Since

5.2

#### See also

<a href="https://docs.gradle.org/current/userguide/java_platform_plugin.html">Java Platform plugin reference</a>

## Constructors

JavaPlatformPlugin
Link copied to clipboard
@Inject
constructor(softwareComponentFactory: SoftwareComponentFactory)

## Properties

API_CONFIGURATION_NAME
Link copied to clipboard
val API_CONFIGURATION_NAME: String = "api"
API_ELEMENTS_CONFIGURATION_NAME
Link copied to clipboard
val API_ELEMENTS_CONFIGURATION_NAME: String = "apiElements"
CLASSPATH_CONFIGURATION_NAME
Link copied to clipboard
val CLASSPATH_CONFIGURATION_NAME: String = "classpath"
ENFORCED_API_ELEMENTS_CONFIGURATION_NAME
Link copied to clipboard
val ENFORCED_API_ELEMENTS_CONFIGURATION_NAME: String = "enforcedApiElements"
ENFORCED_RUNTIME_ELEMENTS_CONFIGURATION_NAME
Link copied to clipboard
val ENFORCED_RUNTIME_ELEMENTS_CONFIGURATION_NAME: String = "enforcedRuntimeElements"
RUNTIME_CONFIGURATION_NAME
Link copied to clipboard
val RUNTIME_CONFIGURATION_NAME: String = "runtime"
RUNTIME_ELEMENTS_CONFIGURATION_NAME
Link copied to clipboard
val RUNTIME_ELEMENTS_CONFIGURATION_NAME: String = "runtimeElements"

## Functions

apply
Link copied to clipboard
open fun apply(project: Project)